package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.LogisticsInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.LogisticsInfoMapper")
public interface LogisticsInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(LogisticsInfo record);

    LogisticsInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LogisticsInfo record);

    List<LogisticsInfo> queryAllLogisticsInfo(LogisticsInfo record);

    List<LogisticsInfo> queryLogisticsInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    LogisticsInfo queryLogisticsInfo(LogisticsInfo record);

    List<LogisticsInfo> query(LogisticsInfo record);
}

